Subject: Doesn't support clang as well as it could.
From: Matt Sicker <[email-masked]>
To: [email-masked]
Date: Sun, 27 Oct 2013 14:53:20 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

There are plenty of macros that only check for GNU GCC and don't bother
checking support from other popular compilers. For example, in
libguile/__scm.h, the macros SCM_NORETURN, SCM_UNUSED, SCM_EXPECT, and many
more, all only check for GCC support. Most (if not all) of these language
extensions are supported by Clang, and usually using the same exact syntax!

I'll submit a patch that adds Clang support to these macros. See <
http://clang.llvm.org/docs/LanguageExtensions.html> for the documentation
about this.

-- 
Matt Sicker <[email-masked]>